This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 154590 - cannot set cdrom/dvd drive to use dma
cannot set cdrom/dvd drive to use dma
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hdparm (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 16:53 EDT by Christopher J. Bottaro
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 05:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher J. Bottaro 2005-04-12 16:53:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
I cannot set my cd/dvd drive to use dma mode. 
 
[root@mobile ~]# hdparm -d1 /dev/hdc 
 
/dev/hdc: 
 setting using_dma to 1 (on) 
 HDIO_SET_DMA failed: Operation not permitted 
 using_dma    =  0 (off) 
 
[root@mobile ~]# cat /proc/ide/hdc/model 
SAMSUNG CDRW/DVD SN-324S 
 
[root@mobile ~]# cat /proc/ide/hdc/settings 
name                    value           min             max             mode 
----                    -----           ---             ---             ---- 
current_speed           0               0               70              rw 
dsc_overlap             0               0               1               rw 
init_speed              0               0               70              rw 
io_32bit                0               0               3               rw 
keepsettings            0               0               1               rw 
nice1                   1               0               1               rw 
number                  0               0               3               rw 
pio_mode                write-only      0               255             w 
unmaskirq               0               0               1               rw 
using_dma               0               0               1               rw 
 
My computer is a Dell Inspiron 6000. 
 
Thank you for the help. 

Version-Release number of selected component (if applicable):
hdparm-5.7-2, kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Karsten Hopp 2005-04-13 05:41:23 EDT
You either have DMA disabled in your BIOS, the BIOS doesn't support DMA at all or
your IDE controller is supported only in a very basic mode with that old kernel.
My suggestion is to first check your BIOS settings and then
download/install/boot the latest available kernel for FC3 and try again:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/kernel-2.6.11-1.14_FC3.i686.rpm

If that still doesn't help, reopen this bugreport and attach the bootmessages
where your  IDE controller is being detected. (Not the whole output of dmesg,
please! )
Comment 2 Christopher J. Bottaro 2005-04-13 11:48:22 EDT
I do not see anything in the BIOS about enabling DMA.  I installed the latest  
kernel, but it did not help.  
  
Here are some snippets from my dmesg, I don't really know whats relevant and  
not...  
  
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx  
ide0: I/O resource 0x1F0-0x1F7 not free.  
ide0: ports already in use, skipping probe  
Probing IDE interface ide1...  
hdc: SAMSUNG CDRW/DVD SN-324S, ATAPI CD/DVD-ROM drive  
Probing IDE interface ide2...  
Probing IDE interface ide3...  
Probing IDE interface ide4...  
Probing IDE interface ide5...  
ide1 at 0x170-0x177,0x376 on irq 15  
hdc: ATAPI 6X DVD-ROM CD-R/RW drive, 2048kB Cache  
Uniform CD-ROM driver Revision: 3.20  
<snip>  
libata version 1.10 loaded.  
ata_piix version 1.03  
ACPI: PCI interrupt 0000:00:1f.2[B] -> GSI 7 (level, low) -> IRQ 7  
ata: 0x170 IDE port busy  
PCI: Setting latency timer of device 0000:00:1f.2 to 64  
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xBFA0 irq 14  
ata1: dev 0 cfg 49:0f00 82:746b 83:7fe8 84:4023 85:f469 86:3c48 87:4023  
88:203f  
ata1: dev 0 ATA, max UDMA/100, 117210240 sectors: lba48  
ata1: dev 0 configured for UDMA/100  
scsi0 : ata_piix  
  Vendor: ATA       Model: HTS726060M9AT00   Rev: MH4O  
  Type:   Direct-Access                      ANSI SCSI revision: 05  
SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)  
SCSI device sda: drive cache: write back  
SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)  
SCSI device sda: drive cache: write back  
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >  
  
I read on the internet that some other people have had similar problems with  
their Dells (they were using Suse though).  They said that upgrading to the  
latest Suse kernel changed their /dev/hdc to /dev/scd0 and that made it run at 
full speed (without needing to turn on DMA).  Could that have anything to do 
with my problem? 
 
Thanks again. 
Comment 3 Karsten Hopp 2005-04-14 06:17:29 EDT
As far as I know the /dev/hdc to /dev/scd0 change is only possible if they are
a) using the ide-scsi module which emulates SCSI devices. 
   This module shouldn't be used anymore with kernel-2.6.
or
b) They are using a SATA CDROM and the support for this SATA controller has been
   added in their latest kernel.

http://www.math.ucla.edu/~jimc/insp6000/p-disc.html#cd has an explanation about
the specific problems with this CDROM/Laptop. It's not a hdparm bug but only
partially supported hardware (kernel wise). There's a preliminary patch
available on that website, but I can't help you with building a patched kernel.

Note You need to log in before you can comment on or make changes to this bug.